KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm init phase addon all - Install all the addons

SYNOPSIS

kubeadm init phase addon all [OPTIONS]

DESCRIPTION

Install all the addons

OPTIONS

--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--config=""
    Path to a kubeadm configuration file.

--control-plane-endpoint=""
    Specify a stable IP address or DNS name for the control plane.

--dry-run=false
    Don't apply any changes; just output what would be done.

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are: EtcdLearnerMode=true|false (ALPHA - default=false) PublicKeysECDSA=true|false (ALPHA - default=false) RootlessControlPlane=true|false (ALPHA - default=false) UpgradeAddonsBeforeControlPlane=true|false (DEPRECATED - default=false)

--image-repository="registry.k8s.io"
    Choose a container registry to pull control plane images from

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--pod-network-cidr=""
    Specify range of IP addresses for the pod network. If set, the control plane will automatically allocate CIDRs for every node.

--service-cidr="10.96.0.0/12"
    Use alternative range of IP address for service VIPs.

--service-dns-domain="cluster.local"
    Use alternative domain for services, e.g. "myorg.internal".

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-init-phase-addon(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!